#ifndef H_MARKOVMANAGER

#include "Markov_stride.h"

typedef struct sMarkov_list
{
	SMarkov *m;
	int key;
	struct sMarkov_list *next;
}SMarkov_list;

typedef struct sMarkov_manager
{
	SMarkov_list *m;
	
    int cnt;	
}SMarkovManager;

SMarkovManager* Markov_Manager_Create();
void Markov_Manager_Call(int key,void *add);
void Markov_Manager_SetAddress(int key,void *add);
void Markov_Manager_Set(int key, int val, int type);
void Markov_Manager_Stop();

#endif
